Bug 1655126

Summary: did-0.11-1.fc30 not installable in rawhide
Product: [Fedora] Fedora Reporter: Kevin Fenzi <kevin>
Component: didAssignee: Petr Šplíchal <psplicha>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: unspecified    
Version: 31CC: awilliam, mfrodl, mhroncok, psplicha, rharwood
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-08-31 07:39:18 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1700324, 1690439    

Description Kevin Fenzi 2018-11-30 17:01:29 UTC
Error: 
 Problem: conflicting requests
  - nothing provides python2-requests-gssapi needed by did-0.11-1.fc30.noarch

Looks like python2-requests-gssapi was dropped. ;( 

perhaps python2-requests-kerberos could be used?

and/or porting to python3. :)

Comment 1 Petr Šplíchal 2018-12-04 10:50:24 UTC
> Looks like python2-requests-gssapi was dropped. ;( 
> perhaps python2-requests-kerberos could be used?

Hm, I thought the long-term goal is to drop kerberos and support
gssapi instead. For example see recent changes for did here:
https://bugzilla.redhat.com/show_bug.cgi?id=1546884

Robbie, what would you suggest here?

> and/or porting to python3. :)

Yes, that is the long-term plan. Hopefully I'll find some time
during the coming weeks/months.

Comment 2 Robbie Harwood 2018-12-04 17:32:24 UTC
python2 packages are being removed from the distro - see https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

I was instructed to remove python2-requests-gssapi in https://bugzilla.redhat.com/show_bug.cgi?id=1629796 , which I have done.

I have been instructed to remove python2-urllib-gssapi in https://bugzilla.redhat.com/show_bug.cgi?id=1655258

I can't add them back because they're just going to get autoremoved in a week (well, sooner, now).  Unfortunately I think your choices are to either port to python3 or remove the package.

Comment 3 Petr Šplíchal 2018-12-05 09:51:58 UTC
Thanks for the clarification, Robbie.
Then let's port did to Python 3 soon.

Comment 4 Miro Hrončok 2019-04-22 12:32:39 UTC
Note that at some point, those packages were removed because nothing depended on them. Did started to depend on python2-requests-gssapi after python2-requests-gssapi were dropped. See:

https://src.fedoraproject.org/rpms/did/c/fdd40539b6f6fbbb52d7b0c714dd31098597979e?branch=master

> I can't add them back because they're just going to get autoremoved in a week (well, sooner, now).

Packages are only removed if nothing depends on them.

Comment 5 Miro Hrončok 2019-07-22 11:24:16 UTC
Any progress here?

Comment 6 Petr Šplíchal 2019-07-26 13:53:59 UTC
I would like to work on the Python 3 migration in September.

Comment 7 Ben Cotton 2019-08-13 17:11:46 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 8 Ben Cotton 2019-08-13 18:54:00 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 9 Miro Hrončok 2019-08-21 15:47:00 UTC
See https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

"Packages still failing to install due to a missing Python 2 dependency will be retired at Beta Freeze, assuming they have a Bugzilla bug open for at least 2 weeks. The package maintainer may postpone this retirement to the Final Freeze by promising to fix it until then."

Let me know if this package shall not be retired yet. The beta freeze is at 2019-08-29, the final freeze is at 2019-10-08.

Comment 10 Miro Hrončok 2019-08-28 11:12:21 UTC
Retired the package in master and f31. Let me know if you want me review it once (if) it is added back.

Comment 11 Miro Hrončok 2019-08-30 11:57:16 UTC
Requesting a freeze exception based on https://pagure.io/fesco/issue/2216#comment-593925

Comment 12 Adam Williamson 2019-08-30 16:22:28 UTC
We don't really need a separate FE for every single package that was supposed to be retired but wasn't due to the freeze. We can just file a single bug to cover this situation, I think. I'm unproposing all the separate retirement bugs.

Comment 13 Miro Hrončok 2019-08-31 07:39:18 UTC
I've verified that the package is gone from the fedora repo. Thanks and sorry for panicking.